> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post the reviewed close message to the caller org's Slack channel



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /admin_api/close_message/send
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/close_message/send:
    post:
      tags:
        - close_message
        - quanta-services-api
      summary: Post the reviewed close message to the caller org's Slack channel
      operationId: send_close_message
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendCloseMessageRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CloseMessageState'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SendCloseMessageRequest:
      properties:
        month:
          type: integer
          title: Month
        year:
          type: integer
          title: Year
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        reason_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason Type
        text:
          type: string
          title: Text
      additionalProperties: false
      type: object
      required:
        - month
        - year
        - text
      title: SendCloseMessageRequest
    CloseMessageState:
      properties:
        is_closed:
          type: boolean
          title: Is Closed
        slack_channel_connected:
          type: boolean
          title: Slack Channel Connected
        draft:
          anyOf:
            - $ref: '#/components/schemas/CloseMessageDraftView'
            - type: 'null'
      type: object
      required:
        - is_closed
        - slack_channel_connected
        - draft
      title: CloseMessageState
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CloseMessageDraftView:
      properties:
        text:
          type: string
          title: Text
        send_attempted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Send Attempted At
        sent_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Sent At
      type: object
      required:
        - text
        - send_attempted_at
        - sent_at
      title: CloseMessageDraftView
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.